Categories:
  - Graphics
License: Apache-2.0
SourceCode: https://github.com/arpruss/sendreduced
IssueTracker: https://github.com/arpruss/sendreduced/issues

Name: Send Reduced
AutoName: Send Reduced
Description: |-
    Take full resolution images with your camera and share them to this app which
    will reduce the size again before being sent. Share via the gallery or via the
    messaging client.

    This build is based on the basic/free version but enables the EXIF options
    available in the pro version. Please support the author by buying the pro app
    from other sources.

RepoType: git
Repo: https://github.com/arpruss/sendreduced

Builds:
  - versionName: '0.03'
    versionCode: 3
    commit: '4'
    target: android-16

  - versionName: '0.04'
    versionCode: 4
    commit: '5'
    target: android-16

  - versionName: '0.05'
    versionCode: 5
    commit: '7'
    target: android-16

  - versionName: '0.08'
    versionCode: 8
    commit: 61a293a55c483958e149cc488609562eac2ae5ee
    prebuild:
      - sed -i -e 's/\r$//' *.sh
      - chmod +x *.sh
      - sed -i -e '/1/i#!/bin/sh\n' *.sh
      - ./toNormal.sh
      - sed -i -e 's/return context.getPackageName().toLowerCase().endsWith("pro")/return
        true/g' src/mobi/omegacentauri/SendReduced/SendReduced.java
    target: android-21

  - versionName: '0.09'
    versionCode: 900
    commit: 4babd064459838d4fe1472912ad443f9a7c35506
    prebuild:
      - sed -i -e 's/\r$//' *.sh
      - chmod +x *.sh
      - sed -i -e '/1/i#!/bin/sh\n' *.sh
      - ./toNormal.sh
      - sed -i -e 's/return context.getPackageName().toLowerCase().endsWith("pro")/return
        true/g' src/mobi/omegacentauri/SendReduced/SendReduced.java
    target: android-21

  - versionName: '0.10'
    versionCode: 1000
    commit: ebf8f2cf4c49947fb4fbe919da5fd58846ed3036
    prebuild:
      - sed -i -e 's/\r$//' *.sh
      - chmod +x *.sh
      - sed -i -e '/1/i#!/bin/sh\n' *.sh
      - ./toNormal.sh
      - sed -i -e 's/return context.getPackageName().toLowerCase().endsWith("pro")/return
        true/g' src/mobi/omegacentauri/SendReduced/SendReduced.java
    target: android-21

  - versionName: '0.11'
    versionCode: 1100
    commit: be3517540ed7463d8e11eadd2413110dc3f9a2eb
    prebuild:
      - sed -i -e 's/\r$//' *.sh
      - chmod +x *.sh
      - sed -i -e '/1/i#!/bin/sh\n' *.sh
      - ./toNormal.sh
      - sed -i -e 's/return context.getPackageName().toLowerCase().endsWith("pro")/return
        true/g' src/mobi/omegacentauri/SendReduced/SendReduced.java
    target: android-21

  - versionName: '0.12'
    versionCode: 1200
    commit: 3514adb1f4cc96acf4f03489383dd57cc9362434
    prebuild:
      - sed -i -e 's/\r$//' *.sh
      - chmod +x *.sh
      - sed -i -e '/1/i#!/bin/sh\n' *.sh
      - ./toNormal.sh
      - sed -i -e 's/return context.getPackageName().toLowerCase().endsWith("pro")/return
        true/g' src/mobi/omegacentauri/SendReduced/SendReduced.java
    target: android-21

  - versionName: '0.13'
    versionCode: 1300
    commit: 2d7498493ad044abd206f7f40f1cc97f5768dfe8
    prebuild:
      - sed -i -e 's/\r$//' *.sh
      - chmod +x *.sh
      - sed -i -e '/1/i#!/bin/sh\n' *.sh
      - ./toNormal.sh
      - sed -i -e 's/return context.getPackageName().toLowerCase().endsWith("pro")/return
        true/g' src/mobi/omegacentauri/SendReduced/SendReduced.java
    target: android-21

  - versionName: '0.16'
    versionCode: 1600
    commit: 0c9da7e2814aa68b2051a9a1d400222dd2bfe930
    prebuild:
      - sed -i -e 's/\r$//' *.sh
      - chmod +x *.sh
      - sed -i -e '/1/i#!/bin/sh\n' *.sh
      - ./toNormal.sh
      - sed -i -e 's/return context.getPackageName().toLowerCase().endsWith("pro")/return
        true/g' src/mobi/omegacentauri/SendReduced/SendReduced.java
    target: android-21

MaintainerNotes: |-
    * OldRepo for 0.03 - 0.05: http://code.google.com/p/sendreduced/
    * <0.11 are MIT licensed

AutoUpdateMode: None
UpdateCheckMode: RepoManifest
CurrentVersion: '0.21'
CurrentVersionCode: 2100
